%define		realname	libvorbis
Summary:	The Vorbis General Audio Compression Codec - MinGW32 cross version
Summary(pl.UTF-8):	Kodek kompresji audio - Vorbis - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	1.3.7
Release:	1
License:	BSD
Group:		Development/Libraries
Source0:	https://downloads.xiph.org/releases/vorbis/%{realname}-%{version}.tar.xz
# Source0-md5:	50902641d358135f06a8392e61c9ac77
Patch0:		%{realname}-make.patch
URL:		https://xiph.org/vorbis/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-gcc >= 3.0
BuildRequires:	crossmingw32-libogg >= 1.0
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-libogg >= 1.0
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		%{target}

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Ogg Vorbis jest całkowicie otwartym, nie będącym niczyją własnością,
wolnym od patentów, ogólnego przeznaczenia kodekiem audio i muzyki o
stałej i zmiennej bitrate od 16 do 128 kbps/kanał.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libvorbis library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libvorbis (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libvorbis library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libvorbis (wersja skrośna MinGW32).

%package dll
Summary:	DLL libvorbis library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libvorbis dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-libogg-dll >= 1.0
Requires:	wine

%description dll
DLL libvorbis library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libvorbis dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	OBJDUMP=%{target}-objdump \
	--host=%{target} \
	--target=%{target} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,doc}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING
%{_libdir}/libvorbis.dll.a
%{_libdir}/libvorbisenc.dll.a
%{_libdir}/libvorbisfile.dll.a
%{_libdir}/libvorbis.la
%{_libdir}/libvorbisenc.la
%{_libdir}/libvorbisfile.la
%{_includedir}/vorbis
%{_pkgconfigdir}/vorbis.pc
%{_pkgconfigdir}/vorbisenc.pc
%{_pkgconfigdir}/vorbisfile.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvorbis.a
%{_libdir}/libvorbisenc.a
%{_libdir}/libvorbisfile.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libvorbis-*.dll
%{_dlldir}/libvorbisenc-*.dll
%{_dlldir}/libvorbisfile-*.dll
%changelog
* Sun Jul 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libvorbis.git;a=log;h=master

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 864e75d
- updated to 1.3.7 (fixes CVE-2017-14160 CVE-2018-10393)

* Fri Mar 16 2018 Jakub Bogusz <qboosh@pld-linux.org> acc172e
- updated to 1.3.6 (fixes CVE-2017-14632 CVE-2017-14633 CVE-2018-5146)
- updated make patch
- dropped no longer needed ac_fixes patch

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 12f7971
- x32 rebuild
- release 2 (by relup.sh)

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> c3c6b1f
- updated to 1.3.5

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 94cc5bc
- updated to 1.3.4

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 3cc5fdc
- Group fix, added filterout_c

* Tue Jun 18 2013 Łukasz Krotowski <lkrotowski@pld-linux.org> 421f2ff
- fixed build with autoconf 1.13

* Wed Feb 08 2012 Jakub Bogusz <qboosh@pld-linux.org> c79afe5
- updated to 1.3.3

* Wed Nov 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 53845ee
- updated to 1.3.2

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> e25b959
- unified MinGW32 caps

* Wed Sep 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 40f03a9
- updated to 1.3.1
- removed obsolete libtool patch

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> cada3af
- force %{_lib}-independent libdir

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> b6359ee
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 33cdbcd
- updated to 1.2.0 (fixes CVE-2007-3106 CVE-2007-4029)
- added libtool patch, unified build, added -static

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 7d4010c
- workaround w32 libtool problem

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 46df40d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 17e12ff
- converted to UTF-8

* Sun May 28 2006 wolf <wolf@pld-linux.org> fefa06f
- new

* Sun Oct 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 006b732
- updated for 1.1.0

* Thu Jan 03 2002 ankry <ankry@pld-linux.org> 0f108fc
- updated to libvorbis-1.0rc3

